Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 73)
+++ palm/trunk/SOURCE/modules.f90	(revision 75)
@@ -9,8 +9,9 @@
 ! +loop_optimization, netcdf_64bit_3d, zu_s_inner, zw_w_inner, id_var_zusi_*,
 ! id_var_zwwi_*, ts_value, u_nzb_p1_for_vfc, v_nzb_p1_for_vfc, pt_reference,
-! use_pt_reference, precipitation_amount_interval
-! +age_m in particle_type
-! -data_output_ts, dots_n
-! arrays dots_label and dots_unit now dimensioned with dots_max
+! use_pt_reference, precipitation_amount_interval, revision
+! +age_m in particle_type, moisture renamed humidity,
+! -data_output_ts, dots_n, uvmean_outflow, uxrp, vynp,
+! arrays dots_label and dots_unit now dimensioned with dots_max,
+! setting of palm version moved to main program
 !
 ! Former revisions:
@@ -81,6 +82,6 @@
     REAL, DIMENSION(:), ALLOCATABLE ::                                         &
           ddzu, dd2zu, dzu, ddzw, dzw, km_damp_x, km_damp_y, l_grid, pt_init,  &
-          q_init, rdf, ug, uvmean_outflow, uvmean_outflow_l, u_init,           &
-          u_nzb_p1_for_vfc, vg, v_init, v_nzb_p1_for_vfc, zu, zw
+          q_init, rdf, ug, u_init, u_nzb_p1_for_vfc, vg, v_init,               &
+          v_nzb_p1_for_vfc, zu, zw
 
     REAL, DIMENSION(:,:), ALLOCATABLE ::                                       &
@@ -96,5 +97,6 @@
 
     REAL, DIMENSION(:,:,:), ALLOCATABLE ::                                     &
-          d, diss, l_wall, tend
+          d, diss, l_wall, tend, u_m_l, u_m_n, u_m_r, u_m_s, v_m_l, v_m_n,     &
+          v_m_r, v_m_s, w_m_l, w_m_n, w_m_r, w_m_s
 
     REAL, DIMENSION(:,:,:), ALLOCATABLE, TARGET ::                             &
@@ -111,7 +113,5 @@
           vpt, vpt_m, w, w_m, w_p
 
-    REAL, DIMENSION(:,:,:,:), ALLOCATABLE ::  rif_wall, u_m_l, u_m_n, u_m_r,   &
-          u_m_s, v_m_l, v_m_n, v_m_r, v_m_s, w_m_l, w_m_n, w_m_r, w_m_s
-                                                    
+    REAL, DIMENSION(:,:,:,:), ALLOCATABLE ::  rif_wall
 
     SAVE
@@ -217,5 +217,5 @@
     CHARACTER (LEN=8)   ::  run_date, run_time
     CHARACTER (LEN=9)   ::  simulated_time_chr
-    CHARACTER (LEN=12)  ::  version = 'PALM   3.2'
+    CHARACTER (LEN=12)  ::  version = ' ', revision = ' '
     CHARACTER (LEN=16)  ::  loop_optimization = 'default', &
                             momentum_advec = 'pw-scheme', &
@@ -236,6 +236,6 @@
     CHARACTER (LEN=40)  ::  avs_data_file, topography = 'flat'
     CHARACTER (LEN=64)  ::  host
-    CHARACTER (LEN=80)  ::  log_message, run_description_header, run_identifier
-    CHARACTER (LEN=100) ::  initializing_actions = ' '
+    CHARACTER (LEN=80)  ::  log_message, run_identifier
+    CHARACTER (LEN=100) ::  initializing_actions = ' ', run_description_header
 
     CHARACTER (LEN=7),  DIMENSION(100) ::  do3d_comp_prec = ' '
@@ -293,7 +293,7 @@
                 first_call_advec_particles = .TRUE., &
                 force_print_header = .FALSE., galilei_transformation = .FALSE.,&
-                inflow_l = .FALSE., inflow_n = .FALSE., inflow_r = .FALSE., &
-                inflow_s = .FALSE., iso2d_output = .FALSE., &
-                mg_switch_to_pe0 = .FALSE., moisture = .FALSE., &
+                humidity = .FALSE., inflow_l = .FALSE., inflow_n = .FALSE., &
+                inflow_r = .FALSE., inflow_s = .FALSE., iso2d_output = .FALSE.,&
+                mg_switch_to_pe0 = .FALSE., &
                 netcdf_output = .FALSE., netcdf_64bit = .FALSE., &
                 netcdf_64bit_3d = .TRUE., &
@@ -528,5 +528,5 @@
     INTEGER ::  ngp_sums, nnx, nx = 0, nxa, nxl, nxr, nxra, nny, ny = 0, nya,  &
                 nyn, nyna, nys, nnz, nz = 0, nza, nzb, nzb_diff, nzt, nzta,    &
-                nzt_diff, uxrp = 0, vynp = 0
+                nzt_diff
 
     INTEGER, DIMENSION(:), ALLOCATABLE ::                                      &
@@ -889,8 +889,8 @@
 #if defined( __parallel )
     INTEGER ::  comm1dx, comm1dy, comm2d, comm_palm, ierr, myidx, myidy,       &
-                ndim = 2, ngp_y, ngp_yz_p, pleft, pnorth, pright, psouth,      &
+                ndim = 2, ngp_y, pleft, pnorth, pright, psouth,                &
                 sendrecvcount_xy, sendrecvcount_yz, sendrecvcount_zx,          &
                 sendrecvcount_zyd, sendrecvcount_yxd,                          &
-                type_x, type_x_int, type_xz_p, ibuf(12), pcoord(2), pdims(2),  &
+                type_x, type_x_int, ibuf(12), pcoord(2), pdims(2),             &
                 status(MPI_STATUS_SIZE)
 
